#
# spec file for package python3-flake8-import-order
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-flake8-import-order
Version:        0.12
Release:        1.8
Summary:        Flake8 plugin that checks the ordering of import statements
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            https://github.com/public/flake8-import-order
Source:         https://files.pythonhosted.org/packages/source/f/flake8-import-order/flake8-import-order-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-flake8
BuildRequires:  python3-setuptools
BuildRequires:  python3-pycodestyle
Requires:       python3-flake8
Requires:       python3-pycodestyle
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Flake8 and pylama plugin that checks the ordering of import statements.

%prep
%setup -q -n flake8-import-order-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/flake8_import_order/
%{python3_sitelib}/flake8_import_order-%{version}-py*.egg-info

%changelog
* Mon Feb 20 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.12:
  * Added new Edited style, this is equivalent to the Smarkets style
    except that values specified in the application-package-names
    option must be imported after third-party import statements
  * Added ability to extend a style using an entrypoint.
  * Fix ambiguous I100 error, now lists correct packages.
* Sat Nov 19 2016 arun@gmx.de
- update to version 0.11:
  * Enforce lexicographic ordering for Google, Smarkets and AppNexus
    styles. This may introduce warnings not present in previous
    releases relating to case sensitivity.
  * Fix I100 case sensitivity for ungrouped imports, again enforcing
    lexicographic ordering.
- changes from version 0.10:
  * Added new AppNexus style, this is equivalent to the google style
    except that values specified in the application-package-names
    option must be imported after third-party import statements
  * Fixed ungrouped ordering bug whereby I100 wasn't triggered.
* Sat Sep 24 2016 arun@gmx.de
- specfile:
  * replace pep8 with pycodestyle
- update to version 0.9.2:
  * Fix error when checking from stdin using flake8 3.0.
- changes from version 0.9.1:
  * Fix case sensitivity bug for Google and Smarkets style.
- changes from version 0.9:
  * Drop pep8 requirement and replace with pycodestyle.
  * Support Flake8 3.0 (alongside Flake8 2.X).
  * Drop Python2.6 compatibility.
  * Fixed a bug where intermixed 1st and 3rd party imports cause an
    error with the PEP8 style.
  * Fixed a bug whereby the I101 recommended ordering wasn't a valid
    ordering in the cryptography style.
* Sat Jun 18 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.8:
  * Added profile, cProfile, pstats and typing to stdlib list.
  * Added new PEP8 style, that enforces grouping of importes but
    allows any ordering within the groups.
- changes from version 0.7:
  * Added new Smarkets style, this is equivalent to the google style
    except that any import X statements must come before any from X
    import y statments.
- changes from version 0.6.2:
  * Fixed a bug where I101 messages were not suggesting the correct
    order in the default style. The output message now outputs a
    message that matches the selected style.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Jun 19 2015 arun@gmx.de
- specfile:
  * added README.rst
  * added pep8 requirement
- update to version 0.6.1:
  * Fixed a bug where I101 messages were not suggesting the correct
    order.
  * Extended test harness to be able to check error messages as well
    as codes.
- changes from version 0.6:
  * Refactor Google style to fix #34
  * Add xmlrpclib to list of stdlib modules
  * Add macurl2path and nturl2path to the stdlib list
  * Added a MANIFEST
  * Added a long description to setup.py
  * Fix line length
  * Add the noqa test case
  * Add pep8 to install_requires
  * Filter out # noqa lines.
  * Add posixpath to stdlib list
* Wed Jan 14 2015 arun@gmx.de
- specfile: update copyright year
- update to version 0.5.3:
  * Fix long line that fails pep8 /py3pep8 tox tests
  * Add installation of python 3.4 to TOX_ENV switch
  * Add Python 3.4 to tox and travis files; issue #25
  * Fix #23 (again)
- changes from version 0.5.2:
  * Fix #23. Sort relative imports correctly
  * Fix error format for relative imports
- changes from version 0.5.1:
  * Add xml to stdlib list
  * Add importlib to stdlib list
- changes from version 0.5:
  * Improve error messages a bit
  * Avoid comparison of str and None.
- changes from version 0.4.2:
  * Add asyncio to stdlib list
  * Describe import-order-style configuration
* Thu Jul 10 2014 toddrme2178@gmail.com
- Update to 0.4.1
  - No upstream changelog
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
